import { z } from 'zod'; export declare const friendRequestsEndpoint: { readonly name: "Friend Requests"; readonly description: "Get a list of friend requests"; readonly category: "Local Endpoints"; readonly type: "local"; readonly suffix: "chat/v4/friendrequests"; readonly riotRequirements: { readonly localAuth: true; }; readonly responses: { readonly '200': z.ZodObject<{ requests: z.ZodArray; }, "strip", z.ZodTypeAny, { game_name: string; game_tag: string; name: string; pid: string; puuid: string; region: string; note: string; subscription: "pending_out" | "pending_in"; }, { game_name: string; game_tag: string; name: string; pid: string; puuid: string; region: string; note: string; subscription: "pending_out" | "pending_in"; }>, "many">; }, "strip", z.ZodTypeAny, { requests: { game_name: string; game_tag: string; name: string; pid: string; puuid: string; region: string; note: string; subscription: "pending_out" | "pending_in"; }[]; }, { requests: { game_name: string; game_tag: string; name: string; pid: string; puuid: string; region: string; note: string; subscription: "pending_out" | "pending_in"; }[]; }>; }; }; export type FriendRequestsResponse = z.input;